Module org.jfree.chart3d
Package org.jfree.chart3d.renderer.xyz

# Class LineXYZRenderer

java.lang.Object
org.jfree.chart3d.renderer.AbstractRenderer3D
org.jfree.chart3d.renderer.xyz.AbstractXYZRenderer
org.jfree.chart3d.renderer.xyz.LineXYZRenderer

All Implemented Interfaces:
  `Serializable`, `ChartElement`, `Renderer3D`, `XYZRenderer`

public class LineXYZRenderer extends AbstractXYZRenderer implements XYZRenderer, Serializable
A renderer that draws 3D lines on an `XYZPlot` using data from an `XYZDataset`. Here is a sample:
(refer to `XYZLineChart3DDemo1.java` for the code to generate the above chart).
NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.

Since:
  1.5
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface org.jfree.chart3d.renderer.Renderer3D

`TRANSPARENT_COLOR`

## Constructor Summary

Constructors
Constructor
Description
`LineXYZRenderer()`
Creates a new default instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`composeItem(XYZDataset dataset, int series, int item, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Adds a single line representing one item from the dataset.
`boolean`
`equals(Object obj)`
Tests this renderer for equality with an arbitrary object.

### Methods inherited from class org.jfree.chart3d.renderer.xyz.AbstractXYZRenderer

`composeAll, findXRange, findYRange, findZRange, getColorSource, getComposeType, getItemLabelGenerator, getPlot, setColors, setColorSource, setItemLabelGenerator, setPlot`

### Methods inherited from class org.jfree.chart3d.renderer.AbstractRenderer3D

`addChangeListener, fireChangeEvent, getItemLabelBackgroundColor, getItemLabelColor, getItemLabelFont, getItemLabelPositioning, isNotify, notifyListeners, receive, removeChangeListener, setItemLabelBackgroundColor, setItemLabelColor, setItemLabelFont, setItemLabelPositioning, setNotify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jfree.chart3d.ChartElement

`receive`

### Methods inherited from interface org.jfree.chart3d.renderer.Renderer3D

`addChangeListener, removeChangeListener`

### Methods inherited from interface org.jfree.chart3d.renderer.xyz.XYZRenderer

`composeAll, findXRange, findYRange, findZRange, getColorSource, getComposeType, getPlot, setColors, setColorSource, setPlot`

## Constructor Details

### LineXYZRenderer

public LineXYZRenderer()
Creates a new default instance.

## Method Details

### composeItem

public void composeItem(XYZDataset dataset, int series, int item, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)
Adds a single line representing one item from the dataset.

Specified by:
  `composeItem` in interface `XYZRenderer`
Parameters:
  `dataset` - the dataset.
  `series` - the series index.
  `item` - the item index.
  `world` - the world used to model the 3D chart.
  `dimensions` - the plot dimensions in 3D.
  `xOffset` - the x-offset.
  `yOffset` - the y-offset.
  `zOffset` - the z-offset.

### equals

public boolean equals(Object obj)
Tests this renderer for equality with an arbitrary object.

Overrides:
  `equals` in class `AbstractXYZRenderer`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.